/*TYPE UNIVERSAL*/
* {color:red;}

/* 

INSTRUCTION: Write the correct rule set below each item.

Note: Below is the syntax of a CSS rule-set:

selector {
    property: value;
    property: value;
}
*/

/* PART 1: SIMPLE SELECTORS */
/* 1. TYPE SELECTOR/TAG: Assign the font-weight property with the value of lighter to all paragraph tags */
p {font-weight: lighter;}

/* 2. TYPE ID: Assign the property of text-decoration and a value of underline to the paragraph with an id of p1 */
#p1 {text-decoration: underline;}

/* 3. TYPE CLASS: Assign the property of text-align and a value of right to the paragraph with a class of right */
.right {text-align: right;}

/* 4. Assign the property of text-align and a value of center to the paragraph with a class of center  */
.center {text-align: center;}

/* 5. Assign the property of text-transform and a value of uppercase to the paragraph with a class of uppercase */
.uppercase {text-transform: uppercase;}

/* 6. Assign the property of text-transform and a value of lowercase to the paragraph with a class of lowercase */
.lowercase {text-transform: lowercase}

/* ====================================================================================================================== */
/* PART 2: ATTRIBUTE SELECTORS */
/* Use attribute selector to...  */

/* 1. assign a gold background-color to all elements that is selected */
/* format: [attr=value]{style: properties;}*/
[selected]{background-color: gold;}

/* 2. assign a greenyellow background-color to all elements with a value that is bench */
[value=bench]{background-color: greenyellow;}

/* 3. assign an aquamarine background-color to all elements with a value that ends with o  */
[value$=o]{background-color: aquamarine;}

/* 4. assign a cornflowerblue background-color to all elements with a value that starts with the capital letter V  */
[value^=V]{background-color: cornflowerblue;}

/* 5. assign a fuchsia background-color to all elements with a label that contains capital letter C  */
[label*=C]{background-color: fuchsia;}


/* ====================================================================================================================== */
/* PART 3: COMBINATOR SELECTORS */
/* 1. Change the color to indianred of a paragraph element that is a descendant of an unordered list. */
ul p {color: indianred;}

/* 2. Change the color to darkmagenta of an anchor tag that is a child of a paragraph element. */
p > a {color: darkmagenta;}

/* 3. Change the color to forestgreen of an anchor tag that is an adjacent sibling of a paragraph element. */
p + a {color: forestgreen;}

/* 4. Change the color to hotpink of an unorder list that is a general sibling of a paragraph element.  */
p ~ ul > li {color: hotpink;}

/*
Descendant Selecto (whitespace)
Child selector (>)
Adjacent Sibling (+)
General sibling (~)
*/



/* ====================================================================================================================== */
/* PART 4: PSEUDO-CLASS SELECTORS */
/* 1. Change the background color to RED of the first child (i.e., list item) of an ordered list. */
ol li:first-child {background-color: red;}

/* 2. Change the background color to VIOLET of the last child (i.e., list item) of an ordered list. */
ol li:last-child {background-color: violet;}

/* 3. Change the background color to ORANGE of the second child (i.e., list item) of an ordered list. */
ol li:nth-child(2) {background-color: orange;}

/* 4. Change the background color to YELLOW of the third child (i.e., list item) of an ordered list. */
ol li:nth-child(3) {background-color: yellow;}

/* 5. Change the background color to GREEN of the fourth child (i.e., list item) of an ordered list. */
ol li:nth-child(4) {background-color: green;}

/* 6. Change the background color to BLUE of the fifth child (i.e., list item) of an ordered list. */
ol li:nth-child(5) {background-color: blue;}

/* 7. Change the background color to INDIGO of the sixth child (i.e., list item) of an ordered list. */
ol li:nth-child(6) {background-color: indigo;}

/* ====================================================================================================================== */
/* PART 5: PSEUDO-ELEMENT SELECTORS */
/* Use pseudo-element to add: */
/* 1) the content "Colors of the Rainbow:" BEFORE an element with the id rainbow. */
#rainbow::before {content: "Colors of the Rainbow";}

/* 2) the content " Color" AFTER the end of every word inside li tags of the ol element */
ol li::after {content: " Color";}
